package com.aucma.report.service.impl;

import com.aucma.report.domain.BoxTraceabilityDetailReport;
import com.aucma.report.domain.BoxTraceabilityReport;
import com.aucma.report.domain.InventoryRateReport;
import com.aucma.report.mapper.GeneralReportMapper;
import com.aucma.report.service.IProductionReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * PDA管理Service业务层处理
 *
 * @author Yinq
 * @date 2023-11-21
 */
@Service
public class ProductionReportServiceImpl implements IProductionReportService {
    @Autowired
    private GeneralReportMapper reportMapper;

    /**
     * 查询清单率报表
     */
    @Override
    public List<InventoryRateReport> inventoryRateReportList(Map hashMap) {
        return reportMapper.inventoryRateReportList(hashMap);
    }

    /**
     * 查询生产执行报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> productionExecutionReportList(Map hashMap) {
        return reportMapper.productionExecutionReportList(hashMap);
    }

    /**
     * 查询在制品查询报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> WIPInquiryReportList(Map hashMap) {
        return reportMapper.WIPInquiryReportList(hashMap);
    }

    /**
     * 扫描下线记录报表
     * @param hashMap
     * @return
     */
    @Override
    public List<HashMap<String, Object>> ScanOfflineRecordReportList(Map hashMap) {
        return reportMapper.ScanOfflineRecordReportList(hashMap);
    }

    /**
     * 发泡箱体追溯报表
     * @param hashMap
     * @return
     */
    @Override
    public List<BoxTraceabilityReport> boxTraceabilityReport(Map hashMap) {
        return reportMapper.boxTraceabilityReport(hashMap);
    }

    /**
     * 发泡箱体追溯详情报表
     * @param hashMap
     * @return
     */
    @Override
    public List<BoxTraceabilityDetailReport> boxTraceabilityDetailReport(Map hashMap) {
        return reportMapper.boxTraceabilityDetailReport(hashMap);
    }


}
